SUMMARY = "Read only rootfs with overlay init script"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"
DEPENDS = "virtual/kernel"

# This was derived from https://github.com/cmhe/meta-readonly-rootfs-overlay

# script uses bash, findfs, busybox is problematic, so use real fsck,
# and add ext4 utilities in case some one needs to try to recover the
# user_data file system
RDEPENDS_${PN} = " \
    bash \
    util-linux-findfs \
    util-linux-fsck \
    e2fsprogs \
    e2fsprogs-mke2fs \
    e2fsprogs-badblocks \
    e2fsprogs-e2fsck \
    e2fsprogs-tune2fs \
    e2fsprogs-resize2fs \
    "

SRC_URI = "file://init-readonly-rootfs-overlay-boot.sh"

S = "${WORKDIR}"

do_install() {
        install -m 0755 ${WORKDIR}/init-readonly-rootfs-overlay-boot.sh ${D}/init
        install -d "${D}/run/media/rfs/ro"
        install -d "${D}/run/media/rfs/rw"
}

FILES_${PN} += " /init /run"

# Due to kernel dependency
PACKAGE_ARCH = "${MACHINE_ARCH}"
